Index: tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java
===================================================================
--- tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java	(revision 539)
+++ tmp/org.txm.internalview.rcp/src/org/txm/internal/rcp/editors/InternalViewEditor.java	(revision 540)
@@ -634,7 +634,7 @@
 		return false;
 	}
 
-	@Override
+
 	protected void initializeFields() {
 		try { // init combos
 			availables = new ArrayList<Property>(corpus.getOrderedProperties());
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 539)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/handlers/ComputeProgression.java	(revision 540)
@@ -102,7 +102,7 @@
 		}
 		else	{
 			// Create and open the chart editor
-			ChartEditorPart.compute(progression);
+			//ChartEditorPart.compute(progression);
 		}
 
 		ChartEditorPart.openEditor(progression);
Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 539)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 540)
@@ -2219,13 +2219,8 @@
 		return this.concordance.getParent().getName().equals(parent.getName());
 	}
 
-	@Override
-	public void computeResult() {
-		// TODO Auto-generated method stub
 
-	}
 
-	@Override
 	protected void initializeFields() {
 		if (this.concordance == null) {
 			leftContextSize = TXMPreferences.getInt(ConcordancePreferences.LEFT_CONTEXT_SIZE, ConcordancePreferences.PREFERENCES_NODE);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 539)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/SVGGraphicEditor.java	(revision 540)
@@ -249,14 +249,5 @@
 		return source.getParent().equals(parent);
 	}
 
-	@Override
-	public void computeResult() {
-		// nothing to do
-	}
 
-	@Override
-	protected void initializeFields() {
-		// TODO Auto-generated method stub
-		
-	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 539)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditorPart.java	(revision 540)
@@ -311,6 +311,8 @@
 	 */
 	public static void compute(final TXMResult result, final boolean update, final TXMEditorPart editor)	{
 		
+		StatusLine.setMessage("Computing " + result.getName());
+		
 		JobHandler job = new JobHandler("Computing result") {
 
 		    @Override
@@ -320,6 +322,8 @@
 		    	
 		    	try {
 
+		    		JobsTimer.start();
+		    		
 		    		// computing result
 					monitor.beginTask("Computing", 100);
 
@@ -335,17 +339,18 @@
 					monitor.worked(50);
 					
 					// cancel
-					if(monitor.isCanceled())	{
-						return Status.CANCEL_STATUS;
-					}
+//					if(monitor.isCanceled())	{
+//						return Status.CANCEL_STATUS;
+//					}
 
 					// refreshing the tree node
 					if(editor != null)	{
+//						System.out.println(message);
+//						StatusLine.setMessage(message);
+						
 						editor.refresh(update);
 					}
 					
-					// done
-					monitor.done();
 				}
 		    	// for user direct canceling
 		    	catch(ThreadDeath td) {
@@ -353,9 +358,13 @@
 		    		return Status.CANCEL_STATUS;
 		    	}
 				catch(Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
-				} 
+					System.out.println(e.getLocalizedMessage());
+					Log.printStackTrace(e);
+				}
+		    	finally {
+		    		monitor.done();
+					JobsTimer.stopAndPrint();
+		    	}
 				return Status.OK_STATUS;
 		    }
 
@@ -365,87 +374,82 @@
 		job.schedule();
 	}
 
+// FIXME: old code	
+//	/**
+//	 * Computes and creates or updates the result (from the linked editor input data).
+//	 * @param update set if it's an update on an existing result or a creation of a new result 
+//	 */
+//	public void computeResult() {
+//		final TXMResult result = this.getResultData();
+//		StatusLine.setMessage("Computing "+result.getName());
+//		//final TXMParameters parameters = this.getParameters();
+//		final String title = result.getName()+"...";
+//		try {
+//			JobHandler jobhandler = new JobHandler(title, topToolBar) {
+//				@Override
+//				protected IStatus run(IProgressMonitor monitor) {
+//					this.runInit(monitor);
+//					try {
+//						JobsTimer.start();
+//
+//						//result.setParameters(parameters);
+//
+//						if (result.canCompute() && result.isDirty()) {
+//
+//							String title = "";//result.getComputingMessage();
+//							System.out.println(title);
+//							Log.info("Start computing Index...");
+//
+//							result.compute(true, monitor);
+//						} else {
+//							return Status.CANCEL_STATUS;
+//						}
+//
+//						if (monitor.isCanceled())
+//							return Status.CANCEL_STATUS;
+//
+//						final String message = "";//result.getComputingEndMessage();
+//
+//						if (monitor.isCanceled())
+//							return Status.CANCEL_STATUS;
+//
+//						monitor.worked(95);
+//						// refresh ui
+//						syncExec(new Runnable() {
+//							@Override
+//							public void run() {
+//
+//								System.out.println(message);
+//								StatusLine.setMessage(message);
+//
+//								refresh();
+//
+//								RestartTXM.reloadViews();
+//							}
+//						});
+//
+//					} catch (ThreadDeath td) {
+//						return Status.CANCEL_STATUS;
+//					} catch (Exception e) {
+//						//System.out.println(result.getComputingErrorMessage());
+//						System.out.println(e.getLocalizedMessage());
+//						Log.printStackTrace(e);
+//					} finally {
+//						monitor.done();
+//						JobsTimer.stopAndPrint();
+//					}
+//					return Status.OK_STATUS;
+//				}
+//			};
+//			jobhandler.startJob();
+//
+//		} catch (Exception e1) {
+//			org.txm.rcp.utils.Logger.printStackTrace(e1);
+//		}
+//	}
 	
-	/**
-	 * Computes and creates or updates the result (from the linked editor input data).
-	 * @param update set if it's an update on an existing result or a creation of a new result 
-	 */
-	public void computeResult() {
-		final TXMResult result = this.getResultData();
-		StatusLine.setMessage("Computing "+result.getName());
-		//final TXMParameters parameters = this.getParameters();
-		final String title = result.getName()+"...";
-		try {
-			JobHandler jobhandler = new JobHandler(title, topToolBar) {
-				@Override
-				protected IStatus run(IProgressMonitor monitor) {
-					this.runInit(monitor);
-					try {
-						JobsTimer.start();
 
-						//result.setParameters(parameters);
-
-						if (result.canCompute() && result.isDirty()) {
-
-							String title = "";//result.getComputingMessage();
-							System.out.println(title);
-							Log.info("Start computing Index...");
-
-							result.compute(true, monitor);
-						} else {
-							return Status.CANCEL_STATUS;
-						}
-
-						if (monitor.isCanceled())
-							return Status.CANCEL_STATUS;
-
-						final String message = "";//result.getComputingEndMessage();
-
-						if (monitor.isCanceled())
-							return Status.CANCEL_STATUS;
-
-						monitor.worked(95);
-						// refresh ui
-						syncExec(new Runnable() {
-							@Override
-							public void run() {
-
-								System.out.println(message);
-								StatusLine.setMessage(message);
-
-								refresh();
-
-								RestartTXM.reloadViews();
-							}
-						});
-
-					} catch (ThreadDeath td) {
-						return Status.CANCEL_STATUS;
-					} catch (Exception e) {
-						//System.out.println(result.getComputingErrorMessage());
-						System.out.println(e.getLocalizedMessage());
-						Log.printStackTrace(e);
-					} finally {
-						monitor.done();
-						JobsTimer.stopAndPrint();
-					}
-					return Status.OK_STATUS;
-				}
-			};
-			jobhandler.startJob();
-
-		} catch (Exception e1) {
-			org.txm.rcp.utils.Logger.printStackTrace(e1);
-		}
-	}
-	
-
 	/**
-	 * The createPartArea method must call this method to initialize the fields values
-	 */
-	protected abstract void initializeFields();
-	
-	/**
 	 * Synchronizes the editor with the result and refreshes the corpus view.
 	 * Also fires a dirty property change.
 	 */
@@ -524,6 +528,8 @@
 	 * @return
 	 */
 	public static TXMEditorPart openEditor(TXMResultEditorInput editorInput, String editorPartId, boolean activate, int matchFlags)	{
+		
+		compute(editorInput.getResult());
 		TXMEditorPart editor = null;
 		try {
 			IWorkbenchWindow window =TXMWindows.getActiveWindow();
@@ -546,6 +552,10 @@
 		return openEditor(editorInput, editorPartId, true, IWorkbenchPage.MATCH_INPUT | IWorkbenchPage.MATCH_ID);
 	}
 	
+	public static TXMEditorPart openEditor(TXMResult result, String editorPartId)	{
+		return openEditor(new TXMResultEditorInput(result), editorPartId);
+	}
+	
 	public void setPartName(String partName) {
 		super.setPartName(partName);
 	}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java	(revision 539)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorPart.java	(revision 540)
@@ -170,37 +170,6 @@
 		//this.composite.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 		//parent.setBackground(parent.getDisplay().getSystemColor(SWT.COLOR_WHITE));
 
-//		// FIXME: tests
-//		if(!this.getResultData().isChartDirty())	{
-//
-//			loadChart();
-//			
-//			// Initialize Swing/AWT events delegation.
-//			this.getSite().getShell().getDisplay().syncExec(new Runnable() {
-//				@Override
-//				public void run() {
-//					// initialize the default shared context menus as Export, etc.
-//					initDefaultContextMenus();;
-//	
-//					
-//					// registers user entries event call back extensions
-//					registerEventCallBackExtensions();
-//					
-//					//FIXME: test to contribute to menu only in some context
-//					// create chart editor part context
-//	//				IContextService contextService = (IContextService)getSite().getService(IContextService.class);
-//	//				contextService.activateContext(ChartEditorPart.class.getName());
-//	//				// create chart composite context
-//	//				contextService.activateContext(this.chartComposite.getClass().getName());
-//					
-//					//FIXME: description test
-//					//this.setContentDescription("details");
-//					//this.setContentDescription(this.getResultData().getDetails());
-//	
-//					initializeAWTDelegationListeners();
-//				}
-//			});
-//			
 			this.refresh();
 //
 //		}
@@ -231,9 +200,11 @@
 	 * @return
 	 */
 	public static ChartEditorPart openEditor(ChartResult result, SWTChartsComponentsProvider chartsComponentsProvider) {
+		compute(result);
 		return chartsComponentsProvider.openEditor(result);
 	}
 
+	
 	@Override
 	public void refresh(boolean update) {
 		super.refresh(update);
@@ -758,20 +729,9 @@
 		return this.chartComposite.hasFocus();
 	}
 
-	@Override
-	public void computeResult() {
-		// TODO Auto-generated method stub
-	}
 
 
 
-	@Override
-	protected void initializeFields() {
-		// TODO Auto-generated method stub
-	}
-
-
-
 	/**
 	 * @return the chartComposite
 	 */
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 539)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/functions/Progression.java	(revision 540)
@@ -236,7 +236,7 @@
 		
 		
 		this.subTask("processing structural units");
-		if (!stepStructuralUnits() || this.isCanceled())	{
+		if (!stepStructuralUnits())	{
 			return false;
 		}
 		this.worked(20);
@@ -244,7 +244,7 @@
 		
 		if(!update)	{
 			this.subTask("finalizing");
-			if (!stepFinalize() || this.isCanceled())	{
+			if (!stepFinalize())	{
 				return false;
 			}
 			this.corpus.addResult(this);
Index: tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 539)
+++ tmp/org.txm.referencer.rcp/src/org/txm/rcp/editors/referencer/ReferencerEditor.java	(revision 540)
@@ -654,7 +654,6 @@
 		return this.corpus;
 	}
 
-	@Override
 	protected void initializeFields() {
 		// word properties
 		ArrayList<Property> selectedProps = new ArrayList<Property>();
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesBarChart.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesBarChart.java	(revision 539)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/handlers/ComputeSpecifictiesBarChart.java	(revision 540)
@@ -103,7 +103,7 @@
 					@Override
 					public void widgetSelected(SelectionEvent e) {
 						TXMPreferences.putLocalBoolean(editor.getResultData(), SpecificitiesPreferences.CHART_TRANSPOSE, groupBarsByLines.getSelection());
-						editor.computeChart(true, true, true);
+						editor.compute(true);
 					}
 					
 					@Override
Index: tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java
===================================================================
--- tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 539)
+++ tmp/org.txm.partition.rcp/src/org/txm/partition/rcp/handlers/ComputePartitionDimensionsBarChart.java	(revision 540)
@@ -90,7 +90,6 @@
 		// FIXME: Pie chart tests
 //		partitionDimensions.setChartType("Partition Dimensions Pie Chart"); //$NON-NLS-1$
 		
-		ChartEditorPart.compute(partitionDimensions);
 		ChartEditorPart.openEditor(partitionDimensions);
 
 		return null;
Index: tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/DiagnosticEditor.java
===================================================================
--- tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/DiagnosticEditor.java	(revision 539)
+++ tmp/org.txm.searchengine.cqp.rcp/src/org/txm/searchengine/cqp/rcp/editor/DiagnosticEditor.java	(revision 540)
@@ -13,10 +13,8 @@
 import org.eclipse.ui.IEditorInput;
 import org.eclipse.ui.IEditorSite;
 import org.eclipse.ui.PartInitException;
-import org.txm.core.results.TXMParameters;
 import org.txm.functions.diagnostic.Diagnostic;
 import org.txm.rcp.editors.TXMEditorPart;
-import org.txm.rcp.preferences.RCPPreferences;
 import org.txm.searchengine.cqp.CQPPreferences;
 
 public class DiagnosticEditor extends TXMEditorPart {
@@ -32,11 +30,6 @@
 			this.diag = (Diagnostic) getResultData();
 	}
 	
-	@Override
-	protected void initializeFields() {
-		// TODO Auto-generated method stub
-		
-	}
 	
 	@Override
 	public void createPartControl(Composite parent) {
@@ -59,7 +52,6 @@
 		browser = new Browser(displayArea, SWT.NONE);
 		browser.setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
 		
-		computeResult();
 	}
 	
 	@Override
Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java	(revision 539)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/rcp/synoptic/editor/SynopticEditionEditor.java	(revision 540)
@@ -846,12 +846,8 @@
 		this.firePropertyChange(IEditorPart.PROP_DIRTY);
 	}
 
-	@Override
-	public void computeResult() {
-		// nothing to do
-	}
 
-	@Override
+
 	protected void initializeFields() {
 		editionsChooser.setText(StringUtils.join(editionNames, " | ")); //$NON-NLS-1$
 		page_label.setText(""); //$NON-NLS-1$
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 539)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor2.java	(revision 540)
@@ -744,7 +744,7 @@
 
 
 
-	@Override
+
 	protected void initializeFields() {
 		nLinesSpinner.setMinimum(1);
 		nLinesSpinner.setMaximum(itable.getNRows());
